Option Strict On
Option Explicit On 

Imports System.IO

Friend Class DownloadUri
    Inherits Uri

    Private minfSaveFile As FileInfo = Nothing
    Private muriReferer As Uri = Nothing

    Public Sub New(ByVal strURL As String)
        MyBase.New(strURL)
    End Sub

    Public Sub New(ByVal baseUri As System.Uri, ByVal relativeUri As String)
        MyBase.New(baseUri, relativeUri)
    End Sub

    Public Property Referer() As Uri
        Get
            Return muriReferer
        End Get
        Set(ByVal Value As Uri)
            muriReferer = Value
        End Set
    End Property

    Public Property SaveFile() As FileInfo
        Get
            Return minfSaveFile
        End Get
        Set(ByVal Value As FileInfo)
            minfSaveFile = Value
        End Set
    End Property
End Class
